The Church Service Update service allows you to update an existing church service value in the system.
Service Name
church_service_update
Required Parameters
| Name | Type |
|---|---|
| church_service_id | integer |
| name | string |
Optional Parameters
| Name | Type |
|---|---|
| order_by | integer |
Example Curl
curl -u user:pass "https://yourchurch.ccbchurch.com/api.php?srv=church_service_update&church_service_id=1&name=Updated+Value"Example Response XML
<?xml version="1.0" encoding="UTF-8"?>
<ccb_api>
<request>
<parameters>
<argument value="church_service_update" name="srv"/>
<argument value="9" name="church_service_id"/>
<argument value="BOOKKEEPING" name="name"/>
</parameters>
</request>
<response>
<service>church_service_update</service>
<service_action>execute</service_action>
<availability>public</availability>
<church_services count="1">
<church_service id="9">
<name>BOOKKEEPING</name>
<order_by>9</order_by>
<owner id="1">
<first_name>Larry</first_name>
<last_name>Cucumber</last_name>
<full_name>Larry Cucumber</full_name>
<email>[email protected]</email>
<phones>
<phone type="mobile">0123456789</phone>
</phones>
</owner>
<editable>1</editable>
<listed>1</listed>
<creator id="0">System User</creator>
<modifier id="0">System User</modifier>
<created>0000-00-00 00:00:00</created>
<modified>2014-01-28 10:25:33</modified>
</church_service>
</church_services>
</response>
</ccb_api>